/**
 * ActMoodEventOccurrence2.java
 *
 * File generated from the medication2::ActMoodEventOccurrence2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodEventOccurrence2.
 *
 */

@XmlType(name = "ActMoodEventOccurrence")
@XmlEnum
@XmlRootElement(name = "ActMoodEventOccurrence2")
public enum ActMoodEventOccurrence2 {
	@XmlEnumValue("EVN")
	EVN("EVN");
	
	private final String value;

    ActMoodEventOccurrence2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActMoodEventOccurrence2 fromValue(String v) {
        for (ActMoodEventOccurrence2 c: ActMoodEventOccurrence2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
